# -*- mode: ruby -*-
# vi: set ft=ruby :


Vagrant.configure("2") do |config|
  config.vm.define "gitlab" do |gitlab|
    gitlab.vm.box = "generic/rocky8"
    gitlab.vm.hostname = "Gitlab"
    gitlab.vm.provision "shell", path: "provision/gitlab.sh"
    config.vm.synced_folder "./partaged_config_files", "/partaged_config_files"
    gitlab.vm.network "private_network", type: "static", ip: "192.168.50.110"
  end
  config.vm.define "ansiblerunner" do |ansiblerunner|
    ansiblerunner.vm.box = "generic/rocky8"
    ansiblerunner.vm.hostname = "AnsibleRunner"
    ansiblerunner.vm.provision "shell", path: "provision/ansiblerunner.sh"
    ansiblerunner.vm.network "private_network", type: "static", ip: "192.168.50.111"
  end
  config.vm.provider "virtualbox" do |virtualbox|
    virtualbox.memory = 8192
    virtualbox.cpus = 1
  end
end
